---
title: Parcel
slug: fourkites-api-reference/0vrQ-parcel
description: Learn how to use the Create Load API to track new loads efficiently. This document provides detailed code examples, responses, headers, and the API request body required for successful load creation. Discover the necessary information to include, such as
icon: {"apiMethod":"POST"}
createdAt: 2023-08-03T17:19:51.000Z
---

Create Load API allows authorized users to create a new load for tracking. It is ideally called after the carrier has accepted the tender for the load. This example is for Parcel loads.

:::hint{type="danger"}
### ⚠️ Important Update:

<font color="#EF4444">The Pallets structure is being deprecated. Please transition to  for product details. </font>[Learn more](https://docs.fourkites.com/api-reference/BXk7-create-shipment#ICU0Y)
:::

:::hint{type="warning"}
This API is called after the carrier has accepted the tender for the load. FourKites does not limit customers from creating more than one load with the same load number or PRO number -- creation of more than one load with the same load or PRO number will cause duplication of loads, which will end up affecting the tracking performance. Customers are advised to handle this on their side. To learn more about Idempotency Protection, [refer here](https://docs.fourkites.com/api-reference/idempotency-protection).
:::

:::hint{type="info"}
If you receive a server error **(5xx error code)**, please try again a few times. It's best to wait a little longer between each retry attempt. Try at least 3-5 times before giving up, as many server issues resolve themselves quickly.
:::

Supporting Document: [Create Shipment](https://docs.fourkites.com/api-reference/BXk7-create-shipment#4xc3cRbgZT-au2XAHx_w3)

:::hint{type="info"}
### Rate Limit

**1 request per second**
:::

:::hint{type="info"}
### Format Supported

**JSON**
:::

:::hint{type="info"}
### Authenticated Resource

**API Key**
:::

For more information on Authentication, [click here](https://docs.fourkites.com/api-reference/authentication).&#x20;

:::hint{type="info"}
FourKites does not limit customers from creating more than one load with the same load number or PRO number. When making POST requests to create a load, please ensure that it is the first time that specific load number has been used to create a load. If multiple POST requests are made with the same data, FourKites will generate duplicate loads
:::

:::ApiMethodV2
```json
{
  "name": "Production",
  "method": "POST",
  "url": "https://api.fourkites.com/api/v1/tracking",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "6rwgSm7HniwBCjKLtGCKi",
        "language": "curl",
        "code": "curl --location --request POST 'https://api.fourkites.com/api/v1/tracking' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: REPLACE_KEY_VALUE' \\\n--data-raw '{\n    \"additionalData\": {\n        \"modeDetails\": {\n            \"shipperModes\": \"Parcel\"\n        }\n    },\n    \"load\": {\n        \"carrier\": \"cc79\",\n        \"haulType\": [\n            \"outbound_load\"\n        ],\n        \"simultaneousTrackingReferenceNumber\": \"123456\",\n        \"simultaneousTrackingSequenceNumber\":  1,\n        \"masterSequenceNumber\": \"1\",\n        \"masterReferenceNumber\": \"83456\",\n        \"loadNumber\": \"ParcelTestNew\",\n        \"priority\": \"normal\",\n        \"trackingNumber\": \"1122334455\",\n        \"referenceNumbers\": [\n            \"XXX:11223344,11334455\",\n            \"YYY:123,54321\",\n            \"ZZZZ:C3212\",\n            \"Z1234\",\n            \"SCAC:XXXX\"\n        ],\n        \"relayLoad\": false,\n        \"stops\": [\n            {\n                \"addressLine1\": \"500 West Madison Street\",\n                \"addressLine2\": \"Suite 3300\",\n                \"city\": \"Chicago\",\n                \"country\": \"US\",\n                \"name\": \"FourKites HQ\",\n                \"postalCode\": \"60611\",\n                \"referenceNumbers\": [\n                    \"XXX:111\",\n                    \"YYY:13445345\",\n                    \"1232432\",\n                    \"YY:F3234234\"\n                ],\n                \"sequence\": 1,\n                \"state\": \"LA\",\n                \"stopReferenceId\": \"X12\",\n                \"stopType\": \"pickup\",\n                \"unloadTimeInMinutes\": 120,\n                \"timeInUtc\": true,\n                \"customer\": {\n                    \"id\": null,\n                    \"poNumbers\": [\n                        \"04112024\"\n                    ],\n                    \"pointOfContact\": {\n                        \"email\": \"xyz@fourkites.com\",\n                        \"phone\": \"545454\"\n                    }\n                },\n                \"earliestAppointmentTime\": \"2024-04-21T19:16:15\",\n                \"latestAppointmentTime\": \"2024-04-21T19:16:15\",\n                \"earliestWantTime\": \"2024-04-21T16:31:29\",\n                \"latestWantTime\": \"2024-04-21T16:31:29\",\n                \"pallets\": [\n                    {\n                        \"parts\": [\n                            {\n                                \"quantity\": \"XXX-YYY\",\n                                \"shipperPartNumber\": \"1123\",\n                                \"weight\": \"7.998\"\n                            },\n                            {\n                                \"quantity\": \"YYY-ZZZ\",\n                                \"shipperPartNumber\": \"33221\",\n                                \"weight\": \"36.800\"\n                            }\n                        ]\n                    }\n                ],\n                \"productLineItems\": [\n                    {\n                        \"productId\": \"0123456\",\n                        \"productName\": \"Parcel Item\",\n                        \"productDescription\": \"Parcel shipment item\",\n                        \"productCategory\": \"General Merchandise\",\n                        \"quantity\": 5,\n                        \"measurementUnitCode\": \"PCE\",\n                        \"netWeight\": 44.8,\n                        \"weightUnit\": \"KGM\",\n                        \"unitCost\": 25.0,\n                        \"currencyCode\": \"USD\",\n                        \"extendedCost\": 125.00,\n                        \"freightCost\": 10.00,\n                        \"bestBeforeDate\": \"2024-04-25T00:00:00Z\",\n                        \"additionalCharges\": 5.00,\n                        \"tariffCost\": 2.50,\n                        \"fourKitesCalculatedTariffCost\": 2.50,\n                        \"totalLandedCost\": 132.50,\n                        \"countryOfOrigin\": \"US\",\n                        \"harmonizedSystemCode\": \"4819500000\",\n                        \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n                        \"htsusCode\": \"4819500000\",\n                        \"orderNumber\": \"04112024\",\n                        \"deliveryNumber\": \"DN-X12\",\n                        \"handlingUnitId\": \"1123\",\n                        \"barcode\": \"1123\",\n                        \"containerType\": \"box\",\n                        \"gtin\": \"00012345678905\",\n                        \"customerPartNumber\": \"1123\",\n                        \"supplierPartNumber\": \"1123\",\n                        \"manufacturerPartNumber\": \"MFG-1123\",\n                        \"itemNumber\": \"ITM-1123\",\n                        \"productUpc\": \"012345678905\",\n                        \"deliveryReferences\": [\"YYY:13445345\"],\n                        \"orderReferences\": [\"1232432\"],\n                        \"brandName\": \"Generic Merchandise Co\",\n                        \"minimumTemperature\": 0,\n                        \"maximumTemperature\": 0,\n                        \"temperatureUnitCode\": \"cel\",\n                        \"labelIdentifier\": \"LBL-1123\",\n                        \"productTrackingNumber\": \"1122334455\",\n                        \"deviceType\": \"RFID_TAG\"\n                    }\n                ]\n            },\n            {\n                \"addressLine1\": \"123 AB Avenue\",\n                \"addressLine2\": \"\",\n                \"city\": \"Los Angeles\",\n                \"country\": \"US\",\n                \"customer\": {\n                    \"id\": 1453242,\n                    \"poNumbers\": [\n                        \"123413\",\n                        \"123123\"\n                    ],\n                    \"pointOfContact\": {\n                        \"email\": \"abc@fourkites.com\",\n                        \"phone\": \"1234456734\"\n                    }\n                },\n                \"earliestAppointmentTime\": \"2024-04-22T19:16:15\",\n                \"latestAppointmentTime\": \"2024-04-22T19:16:15\",\n                \"earliestWantTime\": \"2024-04-22T16:31:29\",\n                \"latestWantTime\": \"2024-04-22T16:31:29\",\n                \"name\": \"XXXX, YY ZZ\",\n                \"pallets\": [\n                    {\n                        \"billOfLading\": 43489495,\n                        \"number\": \"00001\",\n                        \"parts\": [\n                            {\n                                \"quantity\": \"YYYYY-XXXXX\",\n                                \"shipperPartNumber\": \"1234R\",\n                                \"weight\": \"7.998\"\n                            },\n                            {\n                                \"quantity\": \"ZZZZ-XXXX\",\n                                \"shipperPartNumber\": \"1E2312\",\n                                \"weight\": \"36.800\"\n                            }\n                        ]\n                    }\n                ],\n                \"postalCode\": \"12341\",\n                \"referenceNumbers\": [\n                    \"XXX:1223\",\n                    \"YYY:123123\",\n                    \"324234234\",\n                    \"YY:D32412234\"\n                ],\n                \"sequence\": 2,\n                \"state\": \"LA\",\n                \"stopReferenceId\": \"X12\",\n                \"stopType\": \"delivery\",\n                \"unloadTimeInMinutes\": 120,\n                \"timeInUtc\": true,\n                \"productLineItems\": [\n                    {\n                        \"productId\": \"0123456\",\n                        \"productName\": \"Parcel Item\",\n                        \"productDescription\": \"Parcel shipment item\",\n                        \"productCategory\": \"General Merchandise\",\n                        \"quantity\": 5,\n                        \"measurementUnitCode\": \"PCE\",\n                        \"netWeight\": 44.8,\n                        \"weightUnit\": \"KGM\",\n                        \"unitCost\": 25.0,\n                        \"currencyCode\": \"USD\",\n                        \"extendedCost\": 125.00,\n                        \"freightCost\": 10.00,\n                        \"additionalCharges\": 5.00,\n                        \"tariffCost\": 2.50,\n                        \"fourKitesCalculatedTariffCost\": 2.50,\n                        \"totalLandedCost\": 132.50,\n                        \"countryOfOrigin\": \"US\",\n                        \"harmonizedSystemCode\": \"4819500000\",\n                        \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n                        \"htsusCode\": \"4819500000\",\n                        \"orderNumber\": \"123413\",\n                        \"deliveryNumber\": \"DN-X12-2\",\n                        \"handlingUnitId\": \"00001\",\n                        \"barcode\": \"1234R\",\n                        \"containerType\": \"box\",\n                        \"gtin\": \"00012345678912\",\n                        \"customerPartNumber\": \"1234R\",\n                        \"supplierPartNumber\": \"1234R\",\n                        \"manufacturerPartNumber\": \"MFG-1234R\",\n                        \"itemNumber\": \"ITM-1234R\",\n                        \"productUpc\": \"012345678912\",\n                        \"deliveryReferences\": [\"YYY:123123\"],\n                        \"orderReferences\": [\"324234234\"],\n                        \"brandName\": \"Generic Merchandise Co\",\n                        \"minimumTemperature\": 0,\n                        \"maximumTemperature\": 0,\n                        \"temperatureUnitCode\": \"cel\",\n                        \"labelIdentifier\": \"LBL-1234R\",\n                        \"productTrackingNumber\": \"1122334455\",\n                        \"deviceType\": \"QR_CODE\"\n                    }\n                ]\n            }\n        ]\n    }\n}'",
        "customLabel": ""
      },
      {
        "id": "IsnFMqaTR8RQPx21EQJiL",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n    \\\"additionalData\\\": {\\n        \\\"modeDetails\\\": {\\n            \\\"shipperModes\\\": \\\"Parcel\\\"\\n        }\\n    },\\n    \\\"load\\\": {\\n        \\\"carrier\\\": \\\"cc79\\\",\\n        \\\"haulType\\\": [\\n            \\\"outbound_load\\\"\\n        ],\\n        \\\"simultaneousTrackingReferenceNumber\\\": \\\"123456\\\",\\n        \\\"simultaneousTrackingSequenceNumber\\\":  1,\\n        \\\"masterSequenceNumber\\\": \\\"1\\\",\\n        \\\"masterReferenceNumber\\\": \\\"83456\\\",\\n        \\\"loadNumber\\\": \\\"ParcelTestNew\\\",\\n        \\\"priority\\\": \\\"normal\\\",\\n        \\\"trackingNumber\\\": \\\"1122334455\\\",\\n        \\\"referenceNumbers\\\": [\\n            \\\"XXX:11223344,11334455\\\",\\n            \\\"YYY:123,54321\\\",\\n            \\\"ZZZZ:C3212\\\",\\n            \\\"Z1234\\\",\\n            \\\"SCAC:XXXX\\\"\\n        ],\\n        \\\"relayLoad\\\": false,\\n        \\\"stops\\\": [\\n            {\\n                \\\"addressLine1\\\": \\\"500 West Madison Street\\\",\\n                \\\"addressLine2\\\": \\\"Suite 3300\\\",\\n                \\\"city\\\": \\\"Chicago\\\",\\n                \\\"country\\\": \\\"US\\\",\\n                \\\"name\\\": \\\"FourKites HQ\\\",\\n                \\\"postalCode\\\": \\\"60611\\\",\\n                \\\"referenceNumbers\\\": [\\n                    \\\"XXX:111\\\",\\n                    \\\"YYY:13445345\\\",\\n                    \\\"1232432\\\",\\n                    \\\"YY:F3234234\\\"\\n                ],\\n                \\\"sequence\\\": 1,\\n                \\\"state\\\": \\\"LA\\\",\\n                \\\"stopReferenceId\\\": \\\"X12\\\",\\n                \\\"stopType\\\": \\\"pickup\\\",\\n                \\\"unloadTimeInMinutes\\\": 120,\\n                \\\"timeInUtc\\\": true,\\n                \\\"customer\\\": {\\n                    \\\"id\\\": null,\\n                    \\\"poNumbers\\\": [\\n                        \\\"04112024\\\"\\n                    ],\\n                    \\\"pointOfContact\\\": {\\n                        \\\"email\\\": \\\"xyz@fourkites.com\\\",\\n                        \\\"phone\\\": \\\"545454\\\"\\n                    }\\n                },\\n                \\\"earliestAppointmentTime\\\": \\\"2024-04-21T19:16:15\\\",\\n                \\\"latestAppointmentTime\\\": \\\"2024-04-21T19:16:15\\\",\\n                \\\"earliestWantTime\\\": \\\"2024-04-21T16:31:29\\\",\\n                \\\"latestWantTime\\\": \\\"2024-04-21T16:31:29\\\",\\n                \\\"pallets\\\": [\\n                    {\\n                        \\\"parts\\\": [\\n                            {\\n                                \\\"quantity\\\": \\\"XXX-YYY\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1123\\\",\\n                                \\\"weight\\\": \\\"7.998\\\"\\n                            },\\n                            {\\n                                \\\"quantity\\\": \\\"YYY-ZZZ\\\",\\n                                \\\"shipperPartNumber\\\": \\\"33221\\\",\\n                                \\\"weight\\\": \\\"36.800\\\"\\n                            }\\n                        ]\\n                    }\\n                ],\\n                \\\"productLineItems\\\": [\\n                    {\\n                        \\\"productId\\\": \\\"0123456\\\",\\n                        \\\"productName\\\": \\\"Parcel Item\\\",\\n                        \\\"productDescription\\\": \\\"Parcel shipment item\\\",\\n                        \\\"productCategory\\\": \\\"General Merchandise\\\",\\n                        \\\"quantity\\\": 5,\\n                        \\\"measurementUnitCode\\\": \\\"PCE\\\",\\n                        \\\"netWeight\\\": 44.8,\\n                        \\\"weightUnit\\\": \\\"KGM\\\",\\n                        \\\"unitCost\\\": 25.0,\\n                        \\\"currencyCode\\\": \\\"USD\\\",\\n                        \\\"extendedCost\\\": 125.00,\\n                        \\\"freightCost\\\": 10.00,\\n                        \\\"bestBeforeDate\\\": \\\"2024-04-25T00:00:00Z\\\",\\n                        \\\"additionalCharges\\\": 5.00,\\n                        \\\"tariffCost\\\": 2.50,\\n                        \\\"fourKitesCalculatedTariffCost\\\": 2.50,\\n                        \\\"totalLandedCost\\\": 132.50,\\n                        \\\"countryOfOrigin\\\": \\\"US\\\",\\n                        \\\"harmonizedSystemCode\\\": \\\"4819500000\\\",\\n                        \\\"commodityTypeCode\\\": \\\"GENERAL_MERCHANDISE\\\",\\n                        \\\"htsusCode\\\": \\\"4819500000\\\",\\n                        \\\"orderNumber\\\": \\\"04112024\\\",\\n                        \\\"deliveryNumber\\\": \\\"DN-X12\\\",\\n                        \\\"handlingUnitId\\\": \\\"1123\\\",\\n                        \\\"barcode\\\": \\\"1123\\\",\\n                        \\\"containerType\\\": \\\"box\\\",\\n                        \\\"gtin\\\": \\\"00012345678905\\\",\\n                        \\\"customerPartNumber\\\": \\\"1123\\\",\\n                        \\\"supplierPartNumber\\\": \\\"1123\\\",\\n                        \\\"manufacturerPartNumber\\\": \\\"MFG-1123\\\",\\n                        \\\"itemNumber\\\": \\\"ITM-1123\\\",\\n                        \\\"productUpc\\\": \\\"012345678905\\\",\\n                        \\\"deliveryReferences\\\": [\\\"YYY:13445345\\\"],\\n                        \\\"orderReferences\\\": [\\\"1232432\\\"],\\n                        \\\"brandName\\\": \\\"Generic Merchandise Co\\\",\\n                        \\\"minimumTemperature\\\": 0,\\n                        \\\"maximumTemperature\\\": 0,\\n                        \\\"temperatureUnitCode\\\": \\\"cel\\\",\\n                        \\\"labelIdentifier\\\": \\\"LBL-1123\\\",\\n                        \\\"productTrackingNumber\\\": \\\"1122334455\\\",\\n                        \\\"deviceType\\\": \\\"RFID_TAG\\\"\\n                    }\\n                ]\\n            },\\n            {\\n                \\\"addressLine1\\\": \\\"123 AB Avenue\\\",\\n                \\\"addressLine2\\\": \\\"\\\",\\n                \\\"city\\\": \\\"Los Angeles\\\",\\n                \\\"country\\\": \\\"US\\\",\\n                \\\"customer\\\": {\\n                    \\\"id\\\": 1453242,\\n                    \\\"poNumbers\\\": [\\n                        \\\"123413\\\",\\n                        \\\"123123\\\"\\n                    ],\\n                    \\\"pointOfContact\\\": {\\n                        \\\"email\\\": \\\"abc@fourkites.com\\\",\\n                        \\\"phone\\\": \\\"1234456734\\\"\\n                    }\\n                },\\n                \\\"earliestAppointmentTime\\\": \\\"2024-04-22T19:16:15\\\",\\n                \\\"latestAppointmentTime\\\": \\\"2024-04-22T19:16:15\\\",\\n                \\\"earliestWantTime\\\": \\\"2024-04-22T16:31:29\\\",\\n                \\\"latestWantTime\\\": \\\"2024-04-22T16:31:29\\\",\\n                \\\"name\\\": \\\"XXXX, YY ZZ\\\",\\n                \\\"pallets\\\": [\\n                    {\\n                        \\\"billOfLading\\\": 43489495,\\n                        \\\"number\\\": \\\"00001\\\",\\n                        \\\"parts\\\": [\\n                            {\\n                                \\\"quantity\\\": \\\"YYYYY-XXXXX\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1234R\\\",\\n                                \\\"weight\\\": \\\"7.998\\\"\\n                            },\\n                            {\\n                                \\\"quantity\\\": \\\"ZZZZ-XXXX\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1E2312\\\",\\n                                \\\"weight\\\": \\\"36.800\\\"\\n                            }\\n                        ]\\n                    }\\n                ],\\n                \\\"postalCode\\\": \\\"12341\\\",\\n                \\\"referenceNumbers\\\": [\\n                    \\\"XXX:1223\\\",\\n                    \\\"YYY:123123\\\",\\n                    \\\"324234234\\\",\\n                    \\\"YY:D32412234\\\"\\n                ],\\n                \\\"sequence\\\": 2,\\n                \\\"state\\\": \\\"LA\\\",\\n                \\\"stopReferenceId\\\": \\\"X12\\\",\\n                \\\"stopType\\\": \\\"delivery\\\",\\n                \\\"unloadTimeInMinutes\\\": 120,\\n                \\\"timeInUtc\\\": true,\\n                \\\"productLineItems\\\": [\\n                    {\\n                        \\\"productId\\\": \\\"0123456\\\",\\n                        \\\"productName\\\": \\\"Parcel Item\\\",\\n                        \\\"productDescription\\\": \\\"Parcel shipment item\\\",\\n                        \\\"productCategory\\\": \\\"General Merchandise\\\",\\n                        \\\"quantity\\\": 5,\\n                        \\\"measurementUnitCode\\\": \\\"PCE\\\",\\n                        \\\"netWeight\\\": 44.8,\\n                        \\\"weightUnit\\\": \\\"KGM\\\",\\n                        \\\"unitCost\\\": 25.0,\\n                        \\\"currencyCode\\\": \\\"USD\\\",\\n                        \\\"extendedCost\\\": 125.00,\\n                        \\\"freightCost\\\": 10.00,\\n                        \\\"additionalCharges\\\": 5.00,\\n                        \\\"tariffCost\\\": 2.50,\\n                        \\\"fourKitesCalculatedTariffCost\\\": 2.50,\\n                        \\\"totalLandedCost\\\": 132.50,\\n                        \\\"countryOfOrigin\\\": \\\"US\\\",\\n                        \\\"harmonizedSystemCode\\\": \\\"4819500000\\\",\\n                        \\\"commodityTypeCode\\\": \\\"GENERAL_MERCHANDISE\\\",\\n                        \\\"htsusCode\\\": \\\"4819500000\\\",\\n                        \\\"orderNumber\\\": \\\"123413\\\",\\n                        \\\"deliveryNumber\\\": \\\"DN-X12-2\\\",\\n                        \\\"handlingUnitId\\\": \\\"00001\\\",\\n                        \\\"barcode\\\": \\\"1234R\\\",\\n                        \\\"containerType\\\": \\\"box\\\",\\n                        \\\"gtin\\\": \\\"00012345678912\\\",\\n                        \\\"customerPartNumber\\\": \\\"1234R\\\",\\n                        \\\"supplierPartNumber\\\": \\\"1234R\\\",\\n                        \\\"manufacturerPartNumber\\\": \\\"MFG-1234R\\\",\\n                        \\\"itemNumber\\\": \\\"ITM-1234R\\\",\\n                        \\\"productUpc\\\": \\\"012345678912\\\",\\n                        \\\"deliveryReferences\\\": [\\\"YYY:123123\\\"],\\n                        \\\"orderReferences\\\": [\\\"324234234\\\"],\\n                        \\\"brandName\\\": \\\"Generic Merchandise Co\\\",\\n                        \\\"minimumTemperature\\\": 0,\\n                        \\\"maximumTemperature\\\": 0,\\n                        \\\"temperatureUnitCode\\\": \\\"cel\\\",\\n                        \\\"labelIdentifier\\\": \\\"LBL-1234R\\\",\\n                        \\\"productTrackingNumber\\\": \\\"1122334455\\\",\\n                        \\\"deviceType\\\": \\\"QR_CODE\\\"\\n                    }\\n                ]\\n            }\\n        ]\\n    }\\n}\");\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/api/v1/tracking\")\n  .method(\"POST\", body)\n  .addHeader(\"Content-Type\", \"application/json\")\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "customLabel": ""
      },
      {
        "id": "3wzbettEcEV9Lxpkb0Apk",
        "language": "javascript",
        "code": "var settings = {\n  \"url\": \"https://api.fourkites.com/api/v1/tracking\",\n  \"method\": \"POST\",\n  \"timeout\": 0,\n  \"headers\": {\n    \"Content-Type\": \"application/json\",\n    \"apikey\": \"REPLACE_KEY_VALUE\"\n  },\n  \"data\": JSON.stringify({\n    \"additionalData\": {\n      \"modeDetails\": {\n        \"shipperModes\": \"Parcel\"\n      }\n    },\n    \"load\": {\n      \"carrier\": \"cc79\",\n      \"haulType\": [\n        \"outbound_load\"\n      ],\n      \"simultaneousTrackingReferenceNumber\": \"123456\",\n      \"simultaneousTrackingSequenceNumber\": 1,\n      \"masterSequenceNumber\": \"1\",\n      \"masterReferenceNumber\": \"83456\",\n      \"loadNumber\": \"ParcelTestNew\",\n      \"priority\": \"normal\",\n      \"trackingNumber\": \"1122334455\",\n      \"referenceNumbers\": [\n        \"XXX:11223344,11334455\",\n        \"YYY:123,54321\",\n        \"ZZZZ:C3212\",\n        \"Z1234\",\n        \"SCAC:XXXX\"\n      ],\n      \"relayLoad\": false,\n      \"stops\": [\n        {\n          \"addressLine1\": \"500 West Madison Street\",\n          \"addressLine2\": \"Suite 3300\",\n          \"city\": \"Chicago\",\n          \"country\": \"US\",\n          \"name\": \"FourKites HQ\",\n          \"postalCode\": \"60611\",\n          \"referenceNumbers\": [\n            \"XXX:111\",\n            \"YYY:13445345\",\n            \"1232432\",\n            \"YY:F3234234\"\n          ],\n          \"sequence\": 1,\n          \"state\": \"LA\",\n          \"stopReferenceId\": \"X12\",\n          \"stopType\": \"pickup\",\n          \"unloadTimeInMinutes\": 120,\n          \"timeInUtc\": true,\n          \"customer\": {\n            \"id\": null,\n            \"poNumbers\": [\n              \"04112024\"\n            ],\n            \"pointOfContact\": {\n              \"email\": \"xyz@fourkites.com\",\n              \"phone\": \"545454\"\n            }\n          },\n          \"earliestAppointmentTime\": \"2024-04-21T19:16:15\",\n          \"latestAppointmentTime\": \"2024-04-21T19:16:15\",\n          \"earliestWantTime\": \"2024-04-21T16:31:29\",\n          \"latestWantTime\": \"2024-04-21T16:31:29\",\n          \"pallets\": [\n            {\n              \"parts\": [\n                {\n                  \"quantity\": \"XXX-YYY\",\n                  \"shipperPartNumber\": \"1123\",\n                  \"weight\": \"7.998\"\n                },\n                {\n                  \"quantity\": \"YYY-ZZZ\",\n                  \"shipperPartNumber\": \"33221\",\n                  \"weight\": \"36.800\"\n                }\n              ]\n            }\n          ],\n          \"productLineItems\": [\n            {\n              \"productId\": \"0123456\",\n              \"productName\": \"Parcel Item\",\n              \"productDescription\": \"Parcel shipment item\",\n              \"productCategory\": \"General Merchandise\",\n              \"quantity\": 5,\n              \"measurementUnitCode\": \"PCE\",\n              \"netWeight\": 44.8,\n              \"weightUnit\": \"KGM\",\n              \"unitCost\": 25,\n              \"currencyCode\": \"USD\",\n              \"extendedCost\": 125,\n              \"freightCost\": 10,\n              \"bestBeforeDate\": \"2024-04-25T00:00:00Z\",\n              \"additionalCharges\": 5,\n              \"tariffCost\": 2.5,\n              \"fourKitesCalculatedTariffCost\": 2.5,\n              \"totalLandedCost\": 132.5,\n              \"countryOfOrigin\": \"US\",\n              \"harmonizedSystemCode\": \"4819500000\",\n              \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n              \"htsusCode\": \"4819500000\",\n              \"orderNumber\": \"04112024\",\n              \"deliveryNumber\": \"DN-X12\",\n              \"handlingUnitId\": \"1123\",\n              \"barcode\": \"1123\",\n              \"containerType\": \"box\",\n              \"gtin\": \"00012345678905\",\n              \"customerPartNumber\": \"1123\",\n              \"supplierPartNumber\": \"1123\",\n              \"manufacturerPartNumber\": \"MFG-1123\",\n              \"itemNumber\": \"ITM-1123\",\n              \"productUpc\": \"012345678905\",\n              \"deliveryReferences\": [\n                \"YYY:13445345\"\n              ],\n              \"orderReferences\": [\n                \"1232432\"\n              ],\n              \"brandName\": \"Generic Merchandise Co\",\n              \"minimumTemperature\": 0,\n              \"maximumTemperature\": 0,\n              \"temperatureUnitCode\": \"cel\",\n              \"labelIdentifier\": \"LBL-1123\",\n              \"productTrackingNumber\": \"1122334455\",\n              \"deviceType\": \"RFID_TAG\"\n            }\n          ]\n        },\n        {\n          \"addressLine1\": \"123 AB Avenue\",\n          \"addressLine2\": \"\",\n          \"city\": \"Los Angeles\",\n          \"country\": \"US\",\n          \"customer\": {\n            \"id\": 1453242,\n            \"poNumbers\": [\n              \"123413\",\n              \"123123\"\n            ],\n            \"pointOfContact\": {\n              \"email\": \"abc@fourkites.com\",\n              \"phone\": \"1234456734\"\n            }\n          },\n          \"earliestAppointmentTime\": \"2024-04-22T19:16:15\",\n          \"latestAppointmentTime\": \"2024-04-22T19:16:15\",\n          \"earliestWantTime\": \"2024-04-22T16:31:29\",\n          \"latestWantTime\": \"2024-04-22T16:31:29\",\n          \"name\": \"XXXX, YY ZZ\",\n          \"pallets\": [\n            {\n              \"billOfLading\": 43489495,\n              \"number\": \"00001\",\n              \"parts\": [\n                {\n                  \"quantity\": \"YYYYY-XXXXX\",\n                  \"shipperPartNumber\": \"1234R\",\n                  \"weight\": \"7.998\"\n                },\n                {\n                  \"quantity\": \"ZZZZ-XXXX\",\n                  \"shipperPartNumber\": \"1E2312\",\n                  \"weight\": \"36.800\"\n                }\n              ]\n            }\n          ],\n          \"postalCode\": \"12341\",\n          \"referenceNumbers\": [\n            \"XXX:1223\",\n            \"YYY:123123\",\n            \"324234234\",\n            \"YY:D32412234\"\n          ],\n          \"sequence\": 2,\n          \"state\": \"LA\",\n          \"stopReferenceId\": \"X12\",\n          \"stopType\": \"delivery\",\n          \"unloadTimeInMinutes\": 120,\n          \"timeInUtc\": true,\n          \"productLineItems\": [\n            {\n              \"productId\": \"0123456\",\n              \"productName\": \"Parcel Item\",\n              \"productDescription\": \"Parcel shipment item\",\n              \"productCategory\": \"General Merchandise\",\n              \"quantity\": 5,\n              \"measurementUnitCode\": \"PCE\",\n              \"netWeight\": 44.8,\n              \"weightUnit\": \"KGM\",\n              \"unitCost\": 25,\n              \"currencyCode\": \"USD\",\n              \"extendedCost\": 125,\n              \"freightCost\": 10,\n              \"additionalCharges\": 5,\n              \"tariffCost\": 2.5,\n              \"fourKitesCalculatedTariffCost\": 2.5,\n              \"totalLandedCost\": 132.5,\n              \"countryOfOrigin\": \"US\",\n              \"harmonizedSystemCode\": \"4819500000\",\n              \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n              \"htsusCode\": \"4819500000\",\n              \"orderNumber\": \"123413\",\n              \"deliveryNumber\": \"DN-X12-2\",\n              \"handlingUnitId\": \"00001\",\n              \"barcode\": \"1234R\",\n              \"containerType\": \"box\",\n              \"gtin\": \"00012345678912\",\n              \"customerPartNumber\": \"1234R\",\n              \"supplierPartNumber\": \"1234R\",\n              \"manufacturerPartNumber\": \"MFG-1234R\",\n              \"itemNumber\": \"ITM-1234R\",\n              \"productUpc\": \"012345678912\",\n              \"deliveryReferences\": [\n                \"YYY:123123\"\n              ],\n              \"orderReferences\": [\n                \"324234234\"\n              ],\n              \"brandName\": \"Generic Merchandise Co\",\n              \"minimumTemperature\": 0,\n              \"maximumTemperature\": 0,\n              \"temperatureUnitCode\": \"cel\",\n              \"labelIdentifier\": \"LBL-1234R\",\n              \"productTrackingNumber\": \"1122334455\",\n              \"deviceType\": \"QR_CODE\"\n            }\n          ]\n        }\n      ]\n    }\n  }),\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});",
        "customLabel": ""
      },
      {
        "id": "Lp-J2Ot-MPoXzYygY5JNh",
        "language": "csharp",
        "code": "var client = new HttpClient();\nvar request = new HttpRequestMessage(HttpMethod.Post, \"https://api.fourkites.com/api/v1/tracking\");\nrequest.Headers.Add(\"apikey\", \"REPLACE_KEY_VALUE\");\nvar content = new StringContent(\"{\\n    \\\"additionalData\\\": {\\n        \\\"modeDetails\\\": {\\n            \\\"shipperModes\\\": \\\"Parcel\\\"\\n        }\\n    },\\n    \\\"load\\\": {\\n        \\\"carrier\\\": \\\"cc79\\\",\\n        \\\"haulType\\\": [\\n            \\\"outbound_load\\\"\\n        ],\\n        \\\"simultaneousTrackingReferenceNumber\\\": \\\"123456\\\",\\n        \\\"simultaneousTrackingSequenceNumber\\\":  1,\\n        \\\"masterSequenceNumber\\\": \\\"1\\\",\\n        \\\"masterReferenceNumber\\\": \\\"83456\\\",\\n        \\\"loadNumber\\\": \\\"ParcelTestNew\\\",\\n        \\\"priority\\\": \\\"normal\\\",\\n        \\\"trackingNumber\\\": \\\"1122334455\\\",\\n        \\\"referenceNumbers\\\": [\\n            \\\"XXX:11223344,11334455\\\",\\n            \\\"YYY:123,54321\\\",\\n            \\\"ZZZZ:C3212\\\",\\n            \\\"Z1234\\\",\\n            \\\"SCAC:XXXX\\\"\\n        ],\\n        \\\"relayLoad\\\": false,\\n        \\\"stops\\\": [\\n            {\\n                \\\"addressLine1\\\": \\\"500 West Madison Street\\\",\\n                \\\"addressLine2\\\": \\\"Suite 3300\\\",\\n                \\\"city\\\": \\\"Chicago\\\",\\n                \\\"country\\\": \\\"US\\\",\\n                \\\"name\\\": \\\"FourKites HQ\\\",\\n                \\\"postalCode\\\": \\\"60611\\\",\\n                \\\"referenceNumbers\\\": [\\n                    \\\"XXX:111\\\",\\n                    \\\"YYY:13445345\\\",\\n                    \\\"1232432\\\",\\n                    \\\"YY:F3234234\\\"\\n                ],\\n                \\\"sequence\\\": 1,\\n                \\\"state\\\": \\\"LA\\\",\\n                \\\"stopReferenceId\\\": \\\"X12\\\",\\n                \\\"stopType\\\": \\\"pickup\\\",\\n                \\\"unloadTimeInMinutes\\\": 120,\\n                \\\"timeInUtc\\\": true,\\n                \\\"customer\\\": {\\n                    \\\"id\\\": null,\\n                    \\\"poNumbers\\\": [\\n                        \\\"04112024\\\"\\n                    ],\\n                    \\\"pointOfContact\\\": {\\n                        \\\"email\\\": \\\"xyz@fourkites.com\\\",\\n                        \\\"phone\\\": \\\"545454\\\"\\n                    }\\n                },\\n                \\\"earliestAppointmentTime\\\": \\\"2024-04-21T19:16:15\\\",\\n                \\\"latestAppointmentTime\\\": \\\"2024-04-21T19:16:15\\\",\\n                \\\"earliestWantTime\\\": \\\"2024-04-21T16:31:29\\\",\\n                \\\"latestWantTime\\\": \\\"2024-04-21T16:31:29\\\",\\n                \\\"pallets\\\": [\\n                    {\\n                        \\\"parts\\\": [\\n                            {\\n                                \\\"quantity\\\": \\\"XXX-YYY\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1123\\\",\\n                                \\\"weight\\\": \\\"7.998\\\"\\n                            },\\n                            {\\n                                \\\"quantity\\\": \\\"YYY-ZZZ\\\",\\n                                \\\"shipperPartNumber\\\": \\\"33221\\\",\\n                                \\\"weight\\\": \\\"36.800\\\"\\n                            }\\n                        ]\\n                    }\\n                ],\\n                \\\"productLineItems\\\": [\\n                    {\\n                        \\\"productId\\\": \\\"0123456\\\",\\n                        \\\"productName\\\": \\\"Parcel Item\\\",\\n                        \\\"productDescription\\\": \\\"Parcel shipment item\\\",\\n                        \\\"productCategory\\\": \\\"General Merchandise\\\",\\n                        \\\"quantity\\\": 5,\\n                        \\\"measurementUnitCode\\\": \\\"PCE\\\",\\n                        \\\"netWeight\\\": 44.8,\\n                        \\\"weightUnit\\\": \\\"KGM\\\",\\n                        \\\"unitCost\\\": 25.0,\\n                        \\\"currencyCode\\\": \\\"USD\\\",\\n                        \\\"extendedCost\\\": 125.00,\\n                        \\\"freightCost\\\": 10.00,\\n                        \\\"bestBeforeDate\\\": \\\"2024-04-25T00:00:00Z\\\",\\n                        \\\"additionalCharges\\\": 5.00,\\n                        \\\"tariffCost\\\": 2.50,\\n                        \\\"fourKitesCalculatedTariffCost\\\": 2.50,\\n                        \\\"totalLandedCost\\\": 132.50,\\n                        \\\"countryOfOrigin\\\": \\\"US\\\",\\n                        \\\"harmonizedSystemCode\\\": \\\"4819500000\\\",\\n                        \\\"commodityTypeCode\\\": \\\"GENERAL_MERCHANDISE\\\",\\n                        \\\"htsusCode\\\": \\\"4819500000\\\",\\n                        \\\"orderNumber\\\": \\\"04112024\\\",\\n                        \\\"deliveryNumber\\\": \\\"DN-X12\\\",\\n                        \\\"handlingUnitId\\\": \\\"1123\\\",\\n                        \\\"barcode\\\": \\\"1123\\\",\\n                        \\\"containerType\\\": \\\"box\\\",\\n                        \\\"gtin\\\": \\\"00012345678905\\\",\\n                        \\\"customerPartNumber\\\": \\\"1123\\\",\\n                        \\\"supplierPartNumber\\\": \\\"1123\\\",\\n                        \\\"manufacturerPartNumber\\\": \\\"MFG-1123\\\",\\n                        \\\"itemNumber\\\": \\\"ITM-1123\\\",\\n                        \\\"productUpc\\\": \\\"012345678905\\\",\\n                        \\\"deliveryReferences\\\": [\\\"YYY:13445345\\\"],\\n                        \\\"orderReferences\\\": [\\\"1232432\\\"],\\n                        \\\"brandName\\\": \\\"Generic Merchandise Co\\\",\\n                        \\\"minimumTemperature\\\": 0,\\n                        \\\"maximumTemperature\\\": 0,\\n                        \\\"temperatureUnitCode\\\": \\\"cel\\\",\\n                        \\\"labelIdentifier\\\": \\\"LBL-1123\\\",\\n                        \\\"productTrackingNumber\\\": \\\"1122334455\\\",\\n                        \\\"deviceType\\\": \\\"RFID_TAG\\\"\\n                    }\\n                ]\\n            },\\n            {\\n                \\\"addressLine1\\\": \\\"123 AB Avenue\\\",\\n                \\\"addressLine2\\\": \\\"\\\",\\n                \\\"city\\\": \\\"Los Angeles\\\",\\n                \\\"country\\\": \\\"US\\\",\\n                \\\"customer\\\": {\\n                    \\\"id\\\": 1453242,\\n                    \\\"poNumbers\\\": [\\n                        \\\"123413\\\",\\n                        \\\"123123\\\"\\n                    ],\\n                    \\\"pointOfContact\\\": {\\n                        \\\"email\\\": \\\"abc@fourkites.com\\\",\\n                        \\\"phone\\\": \\\"1234456734\\\"\\n                    }\\n                },\\n                \\\"earliestAppointmentTime\\\": \\\"2024-04-22T19:16:15\\\",\\n                \\\"latestAppointmentTime\\\": \\\"2024-04-22T19:16:15\\\",\\n                \\\"earliestWantTime\\\": \\\"2024-04-22T16:31:29\\\",\\n                \\\"latestWantTime\\\": \\\"2024-04-22T16:31:29\\\",\\n                \\\"name\\\": \\\"XXXX, YY ZZ\\\",\\n                \\\"pallets\\\": [\\n                    {\\n                        \\\"billOfLading\\\": 43489495,\\n                        \\\"number\\\": \\\"00001\\\",\\n                        \\\"parts\\\": [\\n                            {\\n                                \\\"quantity\\\": \\\"YYYYY-XXXXX\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1234R\\\",\\n                                \\\"weight\\\": \\\"7.998\\\"\\n                            },\\n                            {\\n                                \\\"quantity\\\": \\\"ZZZZ-XXXX\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1E2312\\\",\\n                                \\\"weight\\\": \\\"36.800\\\"\\n                            }\\n                        ]\\n                    }\\n                ],\\n                \\\"postalCode\\\": \\\"12341\\\",\\n                \\\"referenceNumbers\\\": [\\n                    \\\"XXX:1223\\\",\\n                    \\\"YYY:123123\\\",\\n                    \\\"324234234\\\",\\n                    \\\"YY:D32412234\\\"\\n                ],\\n                \\\"sequence\\\": 2,\\n                \\\"state\\\": \\\"LA\\\",\\n                \\\"stopReferenceId\\\": \\\"X12\\\",\\n                \\\"stopType\\\": \\\"delivery\\\",\\n                \\\"unloadTimeInMinutes\\\": 120,\\n                \\\"timeInUtc\\\": true,\\n                \\\"productLineItems\\\": [\\n                    {\\n                        \\\"productId\\\": \\\"0123456\\\",\\n                        \\\"productName\\\": \\\"Parcel Item\\\",\\n                        \\\"productDescription\\\": \\\"Parcel shipment item\\\",\\n                        \\\"productCategory\\\": \\\"General Merchandise\\\",\\n                        \\\"quantity\\\": 5,\\n                        \\\"measurementUnitCode\\\": \\\"PCE\\\",\\n                        \\\"netWeight\\\": 44.8,\\n                        \\\"weightUnit\\\": \\\"KGM\\\",\\n                        \\\"unitCost\\\": 25.0,\\n                        \\\"currencyCode\\\": \\\"USD\\\",\\n                        \\\"extendedCost\\\": 125.00,\\n                        \\\"freightCost\\\": 10.00,\\n                        \\\"additionalCharges\\\": 5.00,\\n                        \\\"tariffCost\\\": 2.50,\\n                        \\\"fourKitesCalculatedTariffCost\\\": 2.50,\\n                        \\\"totalLandedCost\\\": 132.50,\\n                        \\\"countryOfOrigin\\\": \\\"US\\\",\\n                        \\\"harmonizedSystemCode\\\": \\\"4819500000\\\",\\n                        \\\"commodityTypeCode\\\": \\\"GENERAL_MERCHANDISE\\\",\\n                        \\\"htsusCode\\\": \\\"4819500000\\\",\\n                        \\\"orderNumber\\\": \\\"123413\\\",\\n                        \\\"deliveryNumber\\\": \\\"DN-X12-2\\\",\\n                        \\\"handlingUnitId\\\": \\\"00001\\\",\\n                        \\\"barcode\\\": \\\"1234R\\\",\\n                        \\\"containerType\\\": \\\"box\\\",\\n                        \\\"gtin\\\": \\\"00012345678912\\\",\\n                        \\\"customerPartNumber\\\": \\\"1234R\\\",\\n                        \\\"supplierPartNumber\\\": \\\"1234R\\\",\\n                        \\\"manufacturerPartNumber\\\": \\\"MFG-1234R\\\",\\n                        \\\"itemNumber\\\": \\\"ITM-1234R\\\",\\n                        \\\"productUpc\\\": \\\"012345678912\\\",\\n                        \\\"deliveryReferences\\\": [\\\"YYY:123123\\\"],\\n                        \\\"orderReferences\\\": [\\\"324234234\\\"],\\n                        \\\"brandName\\\": \\\"Generic Merchandise Co\\\",\\n                        \\\"minimumTemperature\\\": 0,\\n                        \\\"maximumTemperature\\\": 0,\\n                        \\\"temperatureUnitCode\\\": \\\"cel\\\",\\n                        \\\"labelIdentifier\\\": \\\"LBL-1234R\\\",\\n                        \\\"productTrackingNumber\\\": \\\"1122334455\\\",\\n                        \\\"deviceType\\\": \\\"QR_CODE\\\"\\n                    }\\n                ]\\n            }\\n        ]\\n    }\\n}\", null, \"application/json\");\nrequest.Content = content;\nvar response = await client.SendAsync(request);\nresponse.EnsureSuccessStatusCode();\nConsole.WriteLine(await response.Content.ReadAsStringAsync());\n",
        "customLabel": ""
      },
      {
        "id": "jOlFo60tEm9fkiyKhxkP5",
        "language": "swift",
        "code": "let parameters = \"{\\n    \\\"additionalData\\\": {\\n        \\\"modeDetails\\\": {\\n            \\\"shipperModes\\\": \\\"Parcel\\\"\\n        }\\n    },\\n    \\\"load\\\": {\\n        \\\"carrier\\\": \\\"cc79\\\",\\n        \\\"haulType\\\": [\\n            \\\"outbound_load\\\"\\n        ],\\n        \\\"simultaneousTrackingReferenceNumber\\\": \\\"123456\\\",\\n        \\\"simultaneousTrackingSequenceNumber\\\":  1,\\n        \\\"masterSequenceNumber\\\": \\\"1\\\",\\n        \\\"masterReferenceNumber\\\": \\\"83456\\\",\\n        \\\"loadNumber\\\": \\\"ParcelTestNew\\\",\\n        \\\"priority\\\": \\\"normal\\\",\\n        \\\"trackingNumber\\\": \\\"1122334455\\\",\\n        \\\"referenceNumbers\\\": [\\n            \\\"XXX:11223344,11334455\\\",\\n            \\\"YYY:123,54321\\\",\\n            \\\"ZZZZ:C3212\\\",\\n            \\\"Z1234\\\",\\n            \\\"SCAC:XXXX\\\"\\n        ],\\n        \\\"relayLoad\\\": false,\\n        \\\"stops\\\": [\\n            {\\n                \\\"addressLine1\\\": \\\"500 West Madison Street\\\",\\n                \\\"addressLine2\\\": \\\"Suite 3300\\\",\\n                \\\"city\\\": \\\"Chicago\\\",\\n                \\\"country\\\": \\\"US\\\",\\n                \\\"name\\\": \\\"FourKites HQ\\\",\\n                \\\"postalCode\\\": \\\"60611\\\",\\n                \\\"referenceNumbers\\\": [\\n                    \\\"XXX:111\\\",\\n                    \\\"YYY:13445345\\\",\\n                    \\\"1232432\\\",\\n                    \\\"YY:F3234234\\\"\\n                ],\\n                \\\"sequence\\\": 1,\\n                \\\"state\\\": \\\"LA\\\",\\n                \\\"stopReferenceId\\\": \\\"X12\\\",\\n                \\\"stopType\\\": \\\"pickup\\\",\\n                \\\"unloadTimeInMinutes\\\": 120,\\n                \\\"timeInUtc\\\": true,\\n                \\\"customer\\\": {\\n                    \\\"id\\\": null,\\n                    \\\"poNumbers\\\": [\\n                        \\\"04112024\\\"\\n                    ],\\n                    \\\"pointOfContact\\\": {\\n                        \\\"email\\\": \\\"xyz@fourkites.com\\\",\\n                        \\\"phone\\\": \\\"545454\\\"\\n                    }\\n                },\\n                \\\"earliestAppointmentTime\\\": \\\"2024-04-21T19:16:15\\\",\\n                \\\"latestAppointmentTime\\\": \\\"2024-04-21T19:16:15\\\",\\n                \\\"earliestWantTime\\\": \\\"2024-04-21T16:31:29\\\",\\n                \\\"latestWantTime\\\": \\\"2024-04-21T16:31:29\\\",\\n                \\\"pallets\\\": [\\n                    {\\n                        \\\"parts\\\": [\\n                            {\\n                                \\\"quantity\\\": \\\"XXX-YYY\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1123\\\",\\n                                \\\"weight\\\": \\\"7.998\\\"\\n                            },\\n                            {\\n                                \\\"quantity\\\": \\\"YYY-ZZZ\\\",\\n                                \\\"shipperPartNumber\\\": \\\"33221\\\",\\n                                \\\"weight\\\": \\\"36.800\\\"\\n                            }\\n                        ]\\n                    }\\n                ],\\n                \\\"productLineItems\\\": [\\n                    {\\n                        \\\"productId\\\": \\\"0123456\\\",\\n                        \\\"productName\\\": \\\"Parcel Item\\\",\\n                        \\\"productDescription\\\": \\\"Parcel shipment item\\\",\\n                        \\\"productCategory\\\": \\\"General Merchandise\\\",\\n                        \\\"quantity\\\": 5,\\n                        \\\"measurementUnitCode\\\": \\\"PCE\\\",\\n                        \\\"netWeight\\\": 44.8,\\n                        \\\"weightUnit\\\": \\\"KGM\\\",\\n                        \\\"unitCost\\\": 25.0,\\n                        \\\"currencyCode\\\": \\\"USD\\\",\\n                        \\\"extendedCost\\\": 125.00,\\n                        \\\"freightCost\\\": 10.00,\\n                        \\\"bestBeforeDate\\\": \\\"2024-04-25T00:00:00Z\\\",\\n                        \\\"additionalCharges\\\": 5.00,\\n                        \\\"tariffCost\\\": 2.50,\\n                        \\\"fourKitesCalculatedTariffCost\\\": 2.50,\\n                        \\\"totalLandedCost\\\": 132.50,\\n                        \\\"countryOfOrigin\\\": \\\"US\\\",\\n                        \\\"harmonizedSystemCode\\\": \\\"4819500000\\\",\\n                        \\\"commodityTypeCode\\\": \\\"GENERAL_MERCHANDISE\\\",\\n                        \\\"htsusCode\\\": \\\"4819500000\\\",\\n                        \\\"orderNumber\\\": \\\"04112024\\\",\\n                        \\\"deliveryNumber\\\": \\\"DN-X12\\\",\\n                        \\\"handlingUnitId\\\": \\\"1123\\\",\\n                        \\\"barcode\\\": \\\"1123\\\",\\n                        \\\"containerType\\\": \\\"box\\\",\\n                        \\\"gtin\\\": \\\"00012345678905\\\",\\n                        \\\"customerPartNumber\\\": \\\"1123\\\",\\n                        \\\"supplierPartNumber\\\": \\\"1123\\\",\\n                        \\\"manufacturerPartNumber\\\": \\\"MFG-1123\\\",\\n                        \\\"itemNumber\\\": \\\"ITM-1123\\\",\\n                        \\\"productUpc\\\": \\\"012345678905\\\",\\n                        \\\"deliveryReferences\\\": [\\\"YYY:13445345\\\"],\\n                        \\\"orderReferences\\\": [\\\"1232432\\\"],\\n                        \\\"brandName\\\": \\\"Generic Merchandise Co\\\",\\n                        \\\"minimumTemperature\\\": 0,\\n                        \\\"maximumTemperature\\\": 0,\\n                        \\\"temperatureUnitCode\\\": \\\"cel\\\",\\n                        \\\"labelIdentifier\\\": \\\"LBL-1123\\\",\\n                        \\\"productTrackingNumber\\\": \\\"1122334455\\\",\\n                        \\\"deviceType\\\": \\\"RFID_TAG\\\"\\n                    }\\n                ]\\n            },\\n            {\\n                \\\"addressLine1\\\": \\\"123 AB Avenue\\\",\\n                \\\"addressLine2\\\": \\\"\\\",\\n                \\\"city\\\": \\\"Los Angeles\\\",\\n                \\\"country\\\": \\\"US\\\",\\n                \\\"customer\\\": {\\n                    \\\"id\\\": 1453242,\\n                    \\\"poNumbers\\\": [\\n                        \\\"123413\\\",\\n                        \\\"123123\\\"\\n                    ],\\n                    \\\"pointOfContact\\\": {\\n                        \\\"email\\\": \\\"abc@fourkites.com\\\",\\n                        \\\"phone\\\": \\\"1234456734\\\"\\n                    }\\n                },\\n                \\\"earliestAppointmentTime\\\": \\\"2024-04-22T19:16:15\\\",\\n                \\\"latestAppointmentTime\\\": \\\"2024-04-22T19:16:15\\\",\\n                \\\"earliestWantTime\\\": \\\"2024-04-22T16:31:29\\\",\\n                \\\"latestWantTime\\\": \\\"2024-04-22T16:31:29\\\",\\n                \\\"name\\\": \\\"XXXX, YY ZZ\\\",\\n                \\\"pallets\\\": [\\n                    {\\n                        \\\"billOfLading\\\": 43489495,\\n                        \\\"number\\\": \\\"00001\\\",\\n                        \\\"parts\\\": [\\n                            {\\n                                \\\"quantity\\\": \\\"YYYYY-XXXXX\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1234R\\\",\\n                                \\\"weight\\\": \\\"7.998\\\"\\n                            },\\n                            {\\n                                \\\"quantity\\\": \\\"ZZZZ-XXXX\\\",\\n                                \\\"shipperPartNumber\\\": \\\"1E2312\\\",\\n                                \\\"weight\\\": \\\"36.800\\\"\\n                            }\\n                        ]\\n                    }\\n                ],\\n                \\\"postalCode\\\": \\\"12341\\\",\\n                \\\"referenceNumbers\\\": [\\n                    \\\"XXX:1223\\\",\\n                    \\\"YYY:123123\\\",\\n                    \\\"324234234\\\",\\n                    \\\"YY:D32412234\\\"\\n                ],\\n                \\\"sequence\\\": 2,\\n                \\\"state\\\": \\\"LA\\\",\\n                \\\"stopReferenceId\\\": \\\"X12\\\",\\n                \\\"stopType\\\": \\\"delivery\\\",\\n                \\\"unloadTimeInMinutes\\\": 120,\\n                \\\"timeInUtc\\\": true,\\n                \\\"productLineItems\\\": [\\n                    {\\n                        \\\"productId\\\": \\\"0123456\\\",\\n                        \\\"productName\\\": \\\"Parcel Item\\\",\\n                        \\\"productDescription\\\": \\\"Parcel shipment item\\\",\\n                        \\\"productCategory\\\": \\\"General Merchandise\\\",\\n                        \\\"quantity\\\": 5,\\n                        \\\"measurementUnitCode\\\": \\\"PCE\\\",\\n                        \\\"netWeight\\\": 44.8,\\n                        \\\"weightUnit\\\": \\\"KGM\\\",\\n                        \\\"unitCost\\\": 25.0,\\n                        \\\"currencyCode\\\": \\\"USD\\\",\\n                        \\\"extendedCost\\\": 125.00,\\n                        \\\"freightCost\\\": 10.00,\\n                        \\\"additionalCharges\\\": 5.00,\\n                        \\\"tariffCost\\\": 2.50,\\n                        \\\"fourKitesCalculatedTariffCost\\\": 2.50,\\n                        \\\"totalLandedCost\\\": 132.50,\\n                        \\\"countryOfOrigin\\\": \\\"US\\\",\\n                        \\\"harmonizedSystemCode\\\": \\\"4819500000\\\",\\n                        \\\"commodityTypeCode\\\": \\\"GENERAL_MERCHANDISE\\\",\\n                        \\\"htsusCode\\\": \\\"4819500000\\\",\\n                        \\\"orderNumber\\\": \\\"123413\\\",\\n                        \\\"deliveryNumber\\\": \\\"DN-X12-2\\\",\\n                        \\\"handlingUnitId\\\": \\\"00001\\\",\\n                        \\\"barcode\\\": \\\"1234R\\\",\\n                        \\\"containerType\\\": \\\"box\\\",\\n                        \\\"gtin\\\": \\\"00012345678912\\\",\\n                        \\\"customerPartNumber\\\": \\\"1234R\\\",\\n                        \\\"supplierPartNumber\\\": \\\"1234R\\\",\\n                        \\\"manufacturerPartNumber\\\": \\\"MFG-1234R\\\",\\n                        \\\"itemNumber\\\": \\\"ITM-1234R\\\",\\n                        \\\"productUpc\\\": \\\"012345678912\\\",\\n                        \\\"deliveryReferences\\\": [\\\"YYY:123123\\\"],\\n                        \\\"orderReferences\\\": [\\\"324234234\\\"],\\n                        \\\"brandName\\\": \\\"Generic Merchandise Co\\\",\\n                        \\\"minimumTemperature\\\": 0,\\n                        \\\"maximumTemperature\\\": 0,\\n                        \\\"temperatureUnitCode\\\": \\\"cel\\\",\\n                        \\\"labelIdentifier\\\": \\\"LBL-1234R\\\",\\n                        \\\"productTrackingNumber\\\": \\\"1122334455\\\",\\n                        \\\"deviceType\\\": \\\"QR_CODE\\\"\\n                    }\\n                ]\\n            }\\n        ]\\n    }\\n}\"\nlet postData = parameters.data(using: .utf8)\n\nvar request = URLRequest(url: URL(string: \"https://api.fourkites.com/api/v1/tracking\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"application/json\", forHTTPHeaderField: \"Content-Type\")\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"POST\"\nrequest.httpBody = postData\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n}\n\ntask.resume()\n",
        "customLabel": ""
      },
      {
        "id": "F8cdb8cboj7kkcQaJ_R8X",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/api/v1/tracking\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{\n    \"additionalData\": {\n        \"modeDetails\": {\n            \"shipperModes\": \"Parcel\"\n        }\n    },\n    \"load\": {\n        \"carrier\": \"cc79\",\n        \"haulType\": [\n            \"outbound_load\"\n        ],\n        \"simultaneousTrackingReferenceNumber\": \"123456\",\n        \"simultaneousTrackingSequenceNumber\":  1,\n        \"masterSequenceNumber\": \"1\",\n        \"masterReferenceNumber\": \"83456\",\n        \"loadNumber\": \"ParcelTestNew\",\n        \"priority\": \"normal\",\n        \"trackingNumber\": \"1122334455\",\n        \"referenceNumbers\": [\n            \"XXX:11223344,11334455\",\n            \"YYY:123,54321\",\n            \"ZZZZ:C3212\",\n            \"Z1234\",\n            \"SCAC:XXXX\"\n        ],\n        \"relayLoad\": false,\n        \"stops\": [\n            {\n                \"addressLine1\": \"500 West Madison Street\",\n                \"addressLine2\": \"Suite 3300\",\n                \"city\": \"Chicago\",\n                \"country\": \"US\",\n                \"name\": \"FourKites HQ\",\n                \"postalCode\": \"60611\",\n                \"referenceNumbers\": [\n                    \"XXX:111\",\n                    \"YYY:13445345\",\n                    \"1232432\",\n                    \"YY:F3234234\"\n                ],\n                \"sequence\": 1,\n                \"state\": \"LA\",\n                \"stopReferenceId\": \"X12\",\n                \"stopType\": \"pickup\",\n                \"unloadTimeInMinutes\": 120,\n                \"timeInUtc\": true,\n                \"customer\": {\n                    \"id\": null,\n                    \"poNumbers\": [\n                        \"04112024\"\n                    ],\n                    \"pointOfContact\": {\n                        \"email\": \"xyz@fourkites.com\",\n                        \"phone\": \"545454\"\n                    }\n                },\n                \"earliestAppointmentTime\": \"2024-04-21T19:16:15\",\n                \"latestAppointmentTime\": \"2024-04-21T19:16:15\",\n                \"earliestWantTime\": \"2024-04-21T16:31:29\",\n                \"latestWantTime\": \"2024-04-21T16:31:29\",\n                \"pallets\": [\n                    {\n                        \"parts\": [\n                            {\n                                \"quantity\": \"XXX-YYY\",\n                                \"shipperPartNumber\": \"1123\",\n                                \"weight\": \"7.998\"\n                            },\n                            {\n                                \"quantity\": \"YYY-ZZZ\",\n                                \"shipperPartNumber\": \"33221\",\n                                \"weight\": \"36.800\"\n                            }\n                        ]\n                    }\n                ],\n                \"productLineItems\": [\n                    {\n                        \"productId\": \"0123456\",\n                        \"productName\": \"Parcel Item\",\n                        \"productDescription\": \"Parcel shipment item\",\n                        \"productCategory\": \"General Merchandise\",\n                        \"quantity\": 5,\n                        \"measurementUnitCode\": \"PCE\",\n                        \"netWeight\": 44.8,\n                        \"weightUnit\": \"KGM\",\n                        \"unitCost\": 25.0,\n                        \"currencyCode\": \"USD\",\n                        \"extendedCost\": 125.00,\n                        \"freightCost\": 10.00,\n                        \"bestBeforeDate\": \"2024-04-25T00:00:00Z\",\n                        \"additionalCharges\": 5.00,\n                        \"tariffCost\": 2.50,\n                        \"fourKitesCalculatedTariffCost\": 2.50,\n                        \"totalLandedCost\": 132.50,\n                        \"countryOfOrigin\": \"US\",\n                        \"harmonizedSystemCode\": \"4819500000\",\n                        \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n                        \"htsusCode\": \"4819500000\",\n                        \"orderNumber\": \"04112024\",\n                        \"deliveryNumber\": \"DN-X12\",\n                        \"handlingUnitId\": \"1123\",\n                        \"barcode\": \"1123\",\n                        \"containerType\": \"box\",\n                        \"gtin\": \"00012345678905\",\n                        \"customerPartNumber\": \"1123\",\n                        \"supplierPartNumber\": \"1123\",\n                        \"manufacturerPartNumber\": \"MFG-1123\",\n                        \"itemNumber\": \"ITM-1123\",\n                        \"productUpc\": \"012345678905\",\n                        \"deliveryReferences\": [\"YYY:13445345\"],\n                        \"orderReferences\": [\"1232432\"],\n                        \"brandName\": \"Generic Merchandise Co\",\n                        \"minimumTemperature\": 0,\n                        \"maximumTemperature\": 0,\n                        \"temperatureUnitCode\": \"cel\",\n                        \"labelIdentifier\": \"LBL-1123\",\n                        \"productTrackingNumber\": \"1122334455\",\n                        \"deviceType\": \"RFID_TAG\"\n                    }\n                ]\n            },\n            {\n                \"addressLine1\": \"123 AB Avenue\",\n                \"addressLine2\": \"\",\n                \"city\": \"Los Angeles\",\n                \"country\": \"US\",\n                \"customer\": {\n                    \"id\": 1453242,\n                    \"poNumbers\": [\n                        \"123413\",\n                        \"123123\"\n                    ],\n                    \"pointOfContact\": {\n                        \"email\": \"abc@fourkites.com\",\n                        \"phone\": \"1234456734\"\n                    }\n                },\n                \"earliestAppointmentTime\": \"2024-04-22T19:16:15\",\n                \"latestAppointmentTime\": \"2024-04-22T19:16:15\",\n                \"earliestWantTime\": \"2024-04-22T16:31:29\",\n                \"latestWantTime\": \"2024-04-22T16:31:29\",\n                \"name\": \"XXXX, YY ZZ\",\n                \"pallets\": [\n                    {\n                        \"billOfLading\": 43489495,\n                        \"number\": \"00001\",\n                        \"parts\": [\n                            {\n                                \"quantity\": \"YYYYY-XXXXX\",\n                                \"shipperPartNumber\": \"1234R\",\n                                \"weight\": \"7.998\"\n                            },\n                            {\n                                \"quantity\": \"ZZZZ-XXXX\",\n                                \"shipperPartNumber\": \"1E2312\",\n                                \"weight\": \"36.800\"\n                            }\n                        ]\n                    }\n                ],\n                \"postalCode\": \"12341\",\n                \"referenceNumbers\": [\n                    \"XXX:1223\",\n                    \"YYY:123123\",\n                    \"324234234\",\n                    \"YY:D32412234\"\n                ],\n                \"sequence\": 2,\n                \"state\": \"LA\",\n                \"stopReferenceId\": \"X12\",\n                \"stopType\": \"delivery\",\n                \"unloadTimeInMinutes\": 120,\n                \"timeInUtc\": true,\n                \"productLineItems\": [\n                    {\n                        \"productId\": \"0123456\",\n                        \"productName\": \"Parcel Item\",\n                        \"productDescription\": \"Parcel shipment item\",\n                        \"productCategory\": \"General Merchandise\",\n                        \"quantity\": 5,\n                        \"measurementUnitCode\": \"PCE\",\n                        \"netWeight\": 44.8,\n                        \"weightUnit\": \"KGM\",\n                        \"unitCost\": 25.0,\n                        \"currencyCode\": \"USD\",\n                        \"extendedCost\": 125.00,\n                        \"freightCost\": 10.00,\n                        \"additionalCharges\": 5.00,\n                        \"tariffCost\": 2.50,\n                        \"fourKitesCalculatedTariffCost\": 2.50,\n                        \"totalLandedCost\": 132.50,\n                        \"countryOfOrigin\": \"US\",\n                        \"harmonizedSystemCode\": \"4819500000\",\n                        \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n                        \"htsusCode\": \"4819500000\",\n                        \"orderNumber\": \"123413\",\n                        \"deliveryNumber\": \"DN-X12-2\",\n                        \"handlingUnitId\": \"00001\",\n                        \"barcode\": \"1234R\",\n                        \"containerType\": \"box\",\n                        \"gtin\": \"00012345678912\",\n                        \"customerPartNumber\": \"1234R\",\n                        \"supplierPartNumber\": \"1234R\",\n                        \"manufacturerPartNumber\": \"MFG-1234R\",\n                        \"itemNumber\": \"ITM-1234R\",\n                        \"productUpc\": \"012345678912\",\n                        \"deliveryReferences\": [\"YYY:123123\"],\n                        \"orderReferences\": [\"324234234\"],\n                        \"brandName\": \"Generic Merchandise Co\",\n                        \"minimumTemperature\": 0,\n                        \"maximumTemperature\": 0,\n                        \"temperatureUnitCode\": \"cel\",\n                        \"labelIdentifier\": \"LBL-1234R\",\n                        \"productTrackingNumber\": \"1122334455\",\n                        \"deviceType\": \"QR_CODE\"\n                    }\n                ]\n            }\n        ]\n    }\n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "lK58xBqV0hr-VJAVYnnbj",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.fourkites.com/api/v1/tracking\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\nrequest.body = JSON.dump({\n  \"additionalData\": {\n    \"modeDetails\": {\n      \"shipperModes\": \"Parcel\"\n    }\n  },\n  \"load\": {\n    \"carrier\": \"cc79\",\n    \"haulType\": [\n      \"outbound_load\"\n    ],\n    \"simultaneousTrackingReferenceNumber\": \"123456\",\n    \"simultaneousTrackingSequenceNumber\": 1,\n    \"masterSequenceNumber\": \"1\",\n    \"masterReferenceNumber\": \"83456\",\n    \"loadNumber\": \"ParcelTestNew\",\n    \"priority\": \"normal\",\n    \"trackingNumber\": \"1122334455\",\n    \"referenceNumbers\": [\n      \"XXX:11223344,11334455\",\n      \"YYY:123,54321\",\n      \"ZZZZ:C3212\",\n      \"Z1234\",\n      \"SCAC:XXXX\"\n    ],\n    \"relayLoad\": false,\n    \"stops\": [\n      {\n        \"addressLine1\": \"500 West Madison Street\",\n        \"addressLine2\": \"Suite 3300\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"name\": \"FourKites HQ\",\n        \"postalCode\": \"60611\",\n        \"referenceNumbers\": [\n          \"XXX:111\",\n          \"YYY:13445345\",\n          \"1232432\",\n          \"YY:F3234234\"\n        ],\n        \"sequence\": 1,\n        \"state\": \"LA\",\n        \"stopReferenceId\": \"X12\",\n        \"stopType\": \"pickup\",\n        \"unloadTimeInMinutes\": 120,\n        \"timeInUtc\": true,\n        \"customer\": {\n          \"id\": nil,\n          \"poNumbers\": [\n            \"04112024\"\n          ],\n          \"pointOfContact\": {\n            \"email\": \"xyz@fourkites.com\",\n            \"phone\": \"545454\"\n          }\n        },\n        \"earliestAppointmentTime\": \"2024-04-21T19:16:15\",\n        \"latestAppointmentTime\": \"2024-04-21T19:16:15\",\n        \"earliestWantTime\": \"2024-04-21T16:31:29\",\n        \"latestWantTime\": \"2024-04-21T16:31:29\",\n        \"pallets\": [\n          {\n            \"parts\": [\n              {\n                \"quantity\": \"XXX-YYY\",\n                \"shipperPartNumber\": \"1123\",\n                \"weight\": \"7.998\"\n              },\n              {\n                \"quantity\": \"YYY-ZZZ\",\n                \"shipperPartNumber\": \"33221\",\n                \"weight\": \"36.800\"\n              }\n            ]\n          }\n        ],\n        \"productLineItems\": [\n          {\n            \"productId\": \"0123456\",\n            \"productName\": \"Parcel Item\",\n            \"productDescription\": \"Parcel shipment item\",\n            \"productCategory\": \"General Merchandise\",\n            \"quantity\": 5,\n            \"measurementUnitCode\": \"PCE\",\n            \"netWeight\": 44.8,\n            \"weightUnit\": \"KGM\",\n            \"unitCost\": 25,\n            \"currencyCode\": \"USD\",\n            \"extendedCost\": 125,\n            \"freightCost\": 10,\n            \"bestBeforeDate\": \"2024-04-25T00:00:00Z\",\n            \"additionalCharges\": 5,\n            \"tariffCost\": 2.5,\n            \"fourKitesCalculatedTariffCost\": 2.5,\n            \"totalLandedCost\": 132.5,\n            \"countryOfOrigin\": \"US\",\n            \"harmonizedSystemCode\": \"4819500000\",\n            \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n            \"htsusCode\": \"4819500000\",\n            \"orderNumber\": \"04112024\",\n            \"deliveryNumber\": \"DN-X12\",\n            \"handlingUnitId\": \"1123\",\n            \"barcode\": \"1123\",\n            \"containerType\": \"box\",\n            \"gtin\": \"00012345678905\",\n            \"customerPartNumber\": \"1123\",\n            \"supplierPartNumber\": \"1123\",\n            \"manufacturerPartNumber\": \"MFG-1123\",\n            \"itemNumber\": \"ITM-1123\",\n            \"productUpc\": \"012345678905\",\n            \"deliveryReferences\": [\n              \"YYY:13445345\"\n            ],\n            \"orderReferences\": [\n              \"1232432\"\n            ],\n            \"brandName\": \"Generic Merchandise Co\",\n            \"minimumTemperature\": 0,\n            \"maximumTemperature\": 0,\n            \"temperatureUnitCode\": \"cel\",\n            \"labelIdentifier\": \"LBL-1123\",\n            \"productTrackingNumber\": \"1122334455\",\n            \"deviceType\": \"RFID_TAG\"\n          }\n        ]\n      },\n      {\n        \"addressLine1\": \"123 AB Avenue\",\n        \"addressLine2\": \"\",\n        \"city\": \"Los Angeles\",\n        \"country\": \"US\",\n        \"customer\": {\n          \"id\": 1453242,\n          \"poNumbers\": [\n            \"123413\",\n            \"123123\"\n          ],\n          \"pointOfContact\": {\n            \"email\": \"abc@fourkites.com\",\n            \"phone\": \"1234456734\"\n          }\n        },\n        \"earliestAppointmentTime\": \"2024-04-22T19:16:15\",\n        \"latestAppointmentTime\": \"2024-04-22T19:16:15\",\n        \"earliestWantTime\": \"2024-04-22T16:31:29\",\n        \"latestWantTime\": \"2024-04-22T16:31:29\",\n        \"name\": \"XXXX, YY ZZ\",\n        \"pallets\": [\n          {\n            \"billOfLading\": 43489495,\n            \"number\": \"00001\",\n            \"parts\": [\n              {\n                \"quantity\": \"YYYYY-XXXXX\",\n                \"shipperPartNumber\": \"1234R\",\n                \"weight\": \"7.998\"\n              },\n              {\n                \"quantity\": \"ZZZZ-XXXX\",\n                \"shipperPartNumber\": \"1E2312\",\n                \"weight\": \"36.800\"\n              }\n            ]\n          }\n        ],\n        \"postalCode\": \"12341\",\n        \"referenceNumbers\": [\n          \"XXX:1223\",\n          \"YYY:123123\",\n          \"324234234\",\n          \"YY:D32412234\"\n        ],\n        \"sequence\": 2,\n        \"state\": \"LA\",\n        \"stopReferenceId\": \"X12\",\n        \"stopType\": \"delivery\",\n        \"unloadTimeInMinutes\": 120,\n        \"timeInUtc\": true,\n        \"productLineItems\": [\n          {\n            \"productId\": \"0123456\",\n            \"productName\": \"Parcel Item\",\n            \"productDescription\": \"Parcel shipment item\",\n            \"productCategory\": \"General Merchandise\",\n            \"quantity\": 5,\n            \"measurementUnitCode\": \"PCE\",\n            \"netWeight\": 44.8,\n            \"weightUnit\": \"KGM\",\n            \"unitCost\": 25,\n            \"currencyCode\": \"USD\",\n            \"extendedCost\": 125,\n            \"freightCost\": 10,\n            \"additionalCharges\": 5,\n            \"tariffCost\": 2.5,\n            \"fourKitesCalculatedTariffCost\": 2.5,\n            \"totalLandedCost\": 132.5,\n            \"countryOfOrigin\": \"US\",\n            \"harmonizedSystemCode\": \"4819500000\",\n            \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n            \"htsusCode\": \"4819500000\",\n            \"orderNumber\": \"123413\",\n            \"deliveryNumber\": \"DN-X12-2\",\n            \"handlingUnitId\": \"00001\",\n            \"barcode\": \"1234R\",\n            \"containerType\": \"box\",\n            \"gtin\": \"00012345678912\",\n            \"customerPartNumber\": \"1234R\",\n            \"supplierPartNumber\": \"1234R\",\n            \"manufacturerPartNumber\": \"MFG-1234R\",\n            \"itemNumber\": \"ITM-1234R\",\n            \"productUpc\": \"012345678912\",\n            \"deliveryReferences\": [\n              \"YYY:123123\"\n            ],\n            \"orderReferences\": [\n              \"324234234\"\n            ],\n            \"brandName\": \"Generic Merchandise Co\",\n            \"minimumTemperature\": 0,\n            \"maximumTemperature\": 0,\n            \"temperatureUnitCode\": \"cel\",\n            \"labelIdentifier\": \"LBL-1234R\",\n            \"productTrackingNumber\": \"1122334455\",\n            \"deviceType\": \"QR_CODE\"\n          }\n        ]\n      }\n    ]\n  }\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "UKukKS9C_a30oPgPBi-Vr",
        "language": "python",
        "code": "import http.client\nimport json\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\npayload = json.dumps({\n  \"additionalData\": {\n    \"modeDetails\": {\n      \"shipperModes\": \"Parcel\"\n    }\n  },\n  \"load\": {\n    \"carrier\": \"cc79\",\n    \"haulType\": [\n      \"outbound_load\"\n    ],\n    \"simultaneousTrackingReferenceNumber\": \"123456\",\n    \"simultaneousTrackingSequenceNumber\": 1,\n    \"masterSequenceNumber\": \"1\",\n    \"masterReferenceNumber\": \"83456\",\n    \"loadNumber\": \"ParcelTestNew\",\n    \"priority\": \"normal\",\n    \"trackingNumber\": \"1122334455\",\n    \"referenceNumbers\": [\n      \"XXX:11223344,11334455\",\n      \"YYY:123,54321\",\n      \"ZZZZ:C3212\",\n      \"Z1234\",\n      \"SCAC:XXXX\"\n    ],\n    \"relayLoad\": False,\n    \"stops\": [\n      {\n        \"addressLine1\": \"500 West Madison Street\",\n        \"addressLine2\": \"Suite 3300\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"name\": \"FourKites HQ\",\n        \"postalCode\": \"60611\",\n        \"referenceNumbers\": [\n          \"XXX:111\",\n          \"YYY:13445345\",\n          \"1232432\",\n          \"YY:F3234234\"\n        ],\n        \"sequence\": 1,\n        \"state\": \"LA\",\n        \"stopReferenceId\": \"X12\",\n        \"stopType\": \"pickup\",\n        \"unloadTimeInMinutes\": 120,\n        \"timeInUtc\": True,\n        \"customer\": {\n          \"id\": None,\n          \"poNumbers\": [\n            \"04112024\"\n          ],\n          \"pointOfContact\": {\n            \"email\": \"xyz@fourkites.com\",\n            \"phone\": \"545454\"\n          }\n        },\n        \"earliestAppointmentTime\": \"2024-04-21T19:16:15\",\n        \"latestAppointmentTime\": \"2024-04-21T19:16:15\",\n        \"earliestWantTime\": \"2024-04-21T16:31:29\",\n        \"latestWantTime\": \"2024-04-21T16:31:29\",\n        \"pallets\": [\n          {\n            \"parts\": [\n              {\n                \"quantity\": \"XXX-YYY\",\n                \"shipperPartNumber\": \"1123\",\n                \"weight\": \"7.998\"\n              },\n              {\n                \"quantity\": \"YYY-ZZZ\",\n                \"shipperPartNumber\": \"33221\",\n                \"weight\": \"36.800\"\n              }\n            ]\n          }\n        ],\n        \"productLineItems\": [\n          {\n            \"productId\": \"0123456\",\n            \"productName\": \"Parcel Item\",\n            \"productDescription\": \"Parcel shipment item\",\n            \"productCategory\": \"General Merchandise\",\n            \"quantity\": 5,\n            \"measurementUnitCode\": \"PCE\",\n            \"netWeight\": 44.8,\n            \"weightUnit\": \"KGM\",\n            \"unitCost\": 25,\n            \"currencyCode\": \"USD\",\n            \"extendedCost\": 125,\n            \"freightCost\": 10,\n            \"bestBeforeDate\": \"2024-04-25T00:00:00Z\",\n            \"additionalCharges\": 5,\n            \"tariffCost\": 2.5,\n            \"fourKitesCalculatedTariffCost\": 2.5,\n            \"totalLandedCost\": 132.5,\n            \"countryOfOrigin\": \"US\",\n            \"harmonizedSystemCode\": \"4819500000\",\n            \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n            \"htsusCode\": \"4819500000\",\n            \"orderNumber\": \"04112024\",\n            \"deliveryNumber\": \"DN-X12\",\n            \"handlingUnitId\": \"1123\",\n            \"barcode\": \"1123\",\n            \"containerType\": \"box\",\n            \"gtin\": \"00012345678905\",\n            \"customerPartNumber\": \"1123\",\n            \"supplierPartNumber\": \"1123\",\n            \"manufacturerPartNumber\": \"MFG-1123\",\n            \"itemNumber\": \"ITM-1123\",\n            \"productUpc\": \"012345678905\",\n            \"deliveryReferences\": [\n              \"YYY:13445345\"\n            ],\n            \"orderReferences\": [\n              \"1232432\"\n            ],\n            \"brandName\": \"Generic Merchandise Co\",\n            \"minimumTemperature\": 0,\n            \"maximumTemperature\": 0,\n            \"temperatureUnitCode\": \"cel\",\n            \"labelIdentifier\": \"LBL-1123\",\n            \"productTrackingNumber\": \"1122334455\",\n            \"deviceType\": \"RFID_TAG\"\n          }\n        ]\n      },\n      {\n        \"addressLine1\": \"123 AB Avenue\",\n        \"addressLine2\": \"\",\n        \"city\": \"Los Angeles\",\n        \"country\": \"US\",\n        \"customer\": {\n          \"id\": 1453242,\n          \"poNumbers\": [\n            \"123413\",\n            \"123123\"\n          ],\n          \"pointOfContact\": {\n            \"email\": \"abc@fourkites.com\",\n            \"phone\": \"1234456734\"\n          }\n        },\n        \"earliestAppointmentTime\": \"2024-04-22T19:16:15\",\n        \"latestAppointmentTime\": \"2024-04-22T19:16:15\",\n        \"earliestWantTime\": \"2024-04-22T16:31:29\",\n        \"latestWantTime\": \"2024-04-22T16:31:29\",\n        \"name\": \"XXXX, YY ZZ\",\n        \"pallets\": [\n          {\n            \"billOfLading\": 43489495,\n            \"number\": \"00001\",\n            \"parts\": [\n              {\n                \"quantity\": \"YYYYY-XXXXX\",\n                \"shipperPartNumber\": \"1234R\",\n                \"weight\": \"7.998\"\n              },\n              {\n                \"quantity\": \"ZZZZ-XXXX\",\n                \"shipperPartNumber\": \"1E2312\",\n                \"weight\": \"36.800\"\n              }\n            ]\n          }\n        ],\n        \"postalCode\": \"12341\",\n        \"referenceNumbers\": [\n          \"XXX:1223\",\n          \"YYY:123123\",\n          \"324234234\",\n          \"YY:D32412234\"\n        ],\n        \"sequence\": 2,\n        \"state\": \"LA\",\n        \"stopReferenceId\": \"X12\",\n        \"stopType\": \"delivery\",\n        \"unloadTimeInMinutes\": 120,\n        \"timeInUtc\": True,\n        \"productLineItems\": [\n          {\n            \"productId\": \"0123456\",\n            \"productName\": \"Parcel Item\",\n            \"productDescription\": \"Parcel shipment item\",\n            \"productCategory\": \"General Merchandise\",\n            \"quantity\": 5,\n            \"measurementUnitCode\": \"PCE\",\n            \"netWeight\": 44.8,\n            \"weightUnit\": \"KGM\",\n            \"unitCost\": 25,\n            \"currencyCode\": \"USD\",\n            \"extendedCost\": 125,\n            \"freightCost\": 10,\n            \"additionalCharges\": 5,\n            \"tariffCost\": 2.5,\n            \"fourKitesCalculatedTariffCost\": 2.5,\n            \"totalLandedCost\": 132.5,\n            \"countryOfOrigin\": \"US\",\n            \"harmonizedSystemCode\": \"4819500000\",\n            \"commodityTypeCode\": \"GENERAL_MERCHANDISE\",\n            \"htsusCode\": \"4819500000\",\n            \"orderNumber\": \"123413\",\n            \"deliveryNumber\": \"DN-X12-2\",\n            \"handlingUnitId\": \"00001\",\n            \"barcode\": \"1234R\",\n            \"containerType\": \"box\",\n            \"gtin\": \"00012345678912\",\n            \"customerPartNumber\": \"1234R\",\n            \"supplierPartNumber\": \"1234R\",\n            \"manufacturerPartNumber\": \"MFG-1234R\",\n            \"itemNumber\": \"ITM-1234R\",\n            \"productUpc\": \"012345678912\",\n            \"deliveryReferences\": [\n              \"YYY:123123\"\n            ],\n            \"orderReferences\": [\n              \"324234234\"\n            ],\n            \"brandName\": \"Generic Merchandise Co\",\n            \"minimumTemperature\": 0,\n            \"maximumTemperature\": 0,\n            \"temperatureUnitCode\": \"cel\",\n            \"labelIdentifier\": \"LBL-1234R\",\n            \"productTrackingNumber\": \"1122334455\",\n            \"deviceType\": \"QR_CODE\"\n          }\n        ]\n      }\n    ]\n  }\n})\nheaders = {\n  'Content-Type': 'application/json',\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"POST\", \"/api/v1/tracking\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "UKukKS9C_a30oPgPBi-Vr"
  },
  "results": {
    "languages": [
      {
        "id": "hj-t3IhgMejwu42uMYxhz",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"loadId\": 1000,\n  \"message\": \"Load created successfully\",\n  \"statusCode\": 200\n}"
      }
    ],
    "selectedLanguageId": "hj-t3IhgMejwu42uMYxhz"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "modeDetails",
        "kind": "optional",
        "type": "object",
        "description": "It contains the mode information about the load that we create.",
        "children": [
          {
            "name": "shipperModes",
            "kind": "optional",
            "type": "string",
            "description": "It defines the mode of the load. Valid values: \"LTL\""
          }
        ]
      },
      {
        "name": "load",
        "kind": "required",
        "type": "object",
        "description": "It is the parent object for the load. Place the load attributes inside this object.",
        "children": [
          {
            "name": "carrier",
            "kind": "required",
            "type": "string",
            "description": "It is the SCAC or Service Provider ID of the carrier assigned to the load. The carrier should have approved sharing of their telematics data on FourKites® for the customer."
          },
          {
            "name": "haulType",
            "kind": "optional",
            "type": "string",
            "description": "It indicates whether the load is an inbound or an outbound load. Valid values: \"inbound_load\", \"outbound_load\", \"short_haul\", \"round_trip\", \"brokered_load\", \"non-brokered_load\", \"inbound_load\", \"outbound_load\", travel_ban_warnings\""
          },
          {
            "name": "simultaneousTrackingReferenceNumber",
            "kind": "optional",
            "type": "string",
            "description": "It indicates a common reference number across a group of simultaneous loads in order to group them. For example, simultaneousTrackingReferenceNumber: “E900018290”"
          },
          {
            "name": "masterSequenceNumber",
            "kind": "optional",
            "type": "string",
            "description": "It is the unique sequence number that represents the leg of the trip used for Consignment Pooling."
          },
          {
            "name": "masterReferenceNumber",
            "kind": "optional",
            "type": "string",
            "description": "It indicates a common reference number across a group of consignment loads in order to group them. For example, consignmentReferenceNumber: “XAF-BATCH-1”. (Conditional Mandatory)"
          },
          {
            "name": "loadNumber",
            "kind": "required",
            "type": "string",
            "description": "It is the unique load identifier from shipper's system. The load Number or BOL is an important piece of information used to link the load with truck information received from the Carrier's TMS."
          },
          {
            "name": "priority",
            "kind": "optional",
            "type": "string",
            "description": "It indicates whether a load is of normal or high priority. If priority is set as ‘hot’, the load will be marked as ‘Hot’. Valid values: ‘normal’, ‘high’ and ‘hot’. Defaults to normal. Setting the 'Priority' as 'hot' will mark the load as 'Hot' load."
          },
          {
            "name": "trackingNumber",
            "kind": "optional",
            "type": "string",
            "description": "It indicates the small parcel tracking number used for the load."
          },
          {
            "name": "referenceNumbers",
            "kind": "optional",
            "type": "array",
            "description": "It is the list of load-level reference numbers associated with a load. (CM)"
          },
          {
            "name": "relayLoad",
            "kind": "optional",
            "type": "boolean",
            "description": "It indicates whether the load is relay or team load. \tValid values: true or false. Defaults to false. (CM)"
          },
          {
            "name": "stops",
            "kind": "required",
            "type": "object",
            "description": "It is the list of stops for the load.",
            "children": [
              {
                "name": "addressLine1",
                "kind": "required",
                "type": "string",
                "description": "It indicates the first line of the stop's address."
              },
              {
                "name": "addressLine2",
                "kind": "optional",
                "type": "string",
                "description": "It indicates the second line of the stop's address."
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "It indicates the name of the city. \tWhen we are not able to match a port with UNLOCODE, we will use city and country to find the port in the platform for port stop creation. Right now we have a restriction to pass state name when the stop doesn't have external AddressId and we match the port with only city & country."
              },
              {
                "name": "country",
                "kind": "optional",
                "type": "string",
                "description": "It indicates the valid country code. It is the 2 digit country code. When we are not able to match a port with UNLOCODE, we will use city and country to find the port in the platform for port stop creation. Right now, we have a restriction to pass the state name when the stop doesn't have external AddressId and we want to match the port with only city & country."
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "It is the name of the stop."
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "It indicates the valid postal code for the stop."
              },
              {
                "name": "referenceNumbers",
                "kind": "optional",
                "type": "array",
                "description": "It indicates the list of stop level reference numbers associated with the stop. These are searchable within the FourKites platform. (CM)"
              },
              {
                "name": "sequence",
                "kind": "optional",
                "type": "string",
                "description": "It indicates the stop's sequence on a load. The lower value indicates earliest scheduled stop completion. If the stop sequence is present for one stop on a load, it must be present on all stops. It is recommended to start at 1 and increment by 1 for each additional stop. (CM)"
              },
              {
                "name": "state",
                "kind": "required",
                "type": "string",
                "description": "It indicates the 2 character state code for US & Canada and 3 Character state code for Mexico. It is the 2 character State Code for US & Canada and 3 Character State Code for Mexico."
              },
              {
                "name": "stopReferenceId",
                "kind": "optional",
                "type": "string",
                "description": "It is the unique identifier of the stop from the customer's system. This populates the \"Reference #\" field on the stop and is used to indicate which stop an update is applied to. (CM)"
              },
              {
                "name": "stopType",
                "kind": "required",
                "type": "string",
                "description": "It defines the function of the stop. Valid values: \"pickup\", \"delivery\", \"transfer\", \"portOfLoading\", \"transshipmentPort\", \"portOfDischarge\". There should be at least one pickup and delivery stop or one transfer (terminal) and one delivery."
              },
              {
                "name": "unloadTimeInMinutes",
                "kind": "optional",
                "type": "string",
                "description": "It indicates the dwell time to be used for the stop in ETA calculations (in minutes). When it is not provided, the company level default value will be used, if available or 90 minutes. This value must be sent in minutes."
              },
              {
                "name": "productLineItems",
                "kind": "optional",
                "type": "object",
                "description": "It is the list of product level details associated with a stop. Replaces the legacy pallets/parts structure going forward.",
                "children": [
                  {
                    "name": "productId",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier for the product. Mandatory if productLineItems object is present"
                  },
                  {
                    "name": "productName",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of the product"
                  },
                  {
                    "name": "productDescription",
                    "kind": "optional",
                    "type": "string",
                    "description": "Detailed description of the product"
                  },
                  {
                    "name": "productCategory",
                    "kind": "optional",
                    "type": "string",
                    "description": "Category classification of the product"
                  },
                  {
                    "name": "quantity",
                    "kind": "optional",
                    "type": "integer",
                    "description": "Number of units in the shipment"
                  },
                  {
                    "name": "measurementUnitCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unit of measurement for quantity (e.g., PCE, KG, LB)"
                  },
                  {
                    "name": "netWeight",
                    "kind": "optional",
                    "type": "string",
                    "description": "Weight of the product excluding packaging"
                  },
                  {
                    "name": "weightUnit",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unit of measurement for weight (e.g., KGM, LBM)"
                  },
                  {
                    "name": "unitCost",
                    "kind": "optional",
                    "type": "number",
                    "description": "Cost per unit of the product"
                  },
                  {
                    "name": "currencyCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "Currency code for cost fields"
                  },
                  {
                    "name": "extendedCost",
                    "kind": "optional",
                    "type": "number",
                    "description": "Total cost for all units (unitCost x quantity)"
                  },
                  {
                    "name": "freightCost",
                    "kind": "optional",
                    "type": "number",
                    "description": "Freight cost allocated to this line item"
                  },
                  {
                    "name": "bestBeforeDate",
                    "kind": "optional",
                    "type": "string",
                    "description": "Expiration or best before date for the product"
                  },
                  {
                    "name": "additionalCharges",
                    "kind": "optional",
                    "type": "number",
                    "description": "Any additional charges specific to this line item"
                  },
                  {
                    "name": "tariffCost",
                    "kind": "optional",
                    "type": "number",
                    "description": "Tariff cost for this specific line item"
                  },
                  {
                    "name": "fourKitesCalculatedTariffCost",
                    "kind": "optional",
                    "type": "number",
                    "description": "System-calculated tariff cost"
                  },
                  {
                    "name": "totalLandedCost",
                    "kind": "optional",
                    "type": "number",
                    "description": "Total landed cost for this line item"
                  },
                  {
                    "name": "countryOfOrigin",
                    "kind": "optional",
                    "type": "string",
                    "description": "Country of origin for this product"
                  },
                  {
                    "name": "harmonizedSystemCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "International trade classification code"
                  },
                  {
                    "name": "commodityTypeCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "Commodity classification code"
                  },
                  {
                    "name": "htsusCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "Harmonized Tariff Schedule code for US imports"
                  },
                  {
                    "name": "orderNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": "Purchase order number"
                  },
                  {
                    "name": "deliveryNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": "Delivery reference number"
                  },
                  {
                    "name": "handlingUnitId",
                    "kind": "optional",
                    "type": "string",
                    "description": "Identifier for the handling unit (pallet, box, etc.)"
                  },
                  {
                    "name": "barcode",
                    "kind": "optional",
                    "type": "string",
                    "description": "Product barcode"
                  },
                  {
                    "name": "containerType",
                    "kind": "optional",
                    "type": "string",
[...]
